<?php
class Infomation extends PluginBase {
//ディレクトリ名、ファイル名、クラス名を同一にする

    protected $storage = 'DbStorage';//格納場所    
    static protected $description = '管理画面及びアンケート画面でお知らせ表示';//プラグイン説明
    static protected $name = '情報表示';//プラグイン名
    
    protected $settings = array(
        'admin_on_off' => array(
            'type' => 'select',
            'options'=>array(0=>'No',
                            1=>'Yes'),
            'default'=>0,
            'label' => '管理者向けお知らせ表示（1日1回表示）',
                
        ),//設定情報(基本設定用のフォーム設定）
        'admin_html' => array(
            'type' => 'html',
            'label' => '管理者向けお知らせ表示内容',

        )//設定情報(基本設定用のフォーム設定）		

    );
    
    public function __construct(PluginManager $manager, $id) {
        parent::__construct($manager, $id);

        $oUser = $this->api->getCurrentUser();
        if (!is_null($oUser) && $this->get('admin_on_off') == 1){
                   Yii::app()->getClientScript()->registerScriptFile(Yii::app()->getConfig('publicurl')."plugins/Infomation/js/info.js");

           $infohtml = 'var infohtml = "'.$this->get('admin_html').'"';
                   Yii::app()->getClientScript()->registerScript('lsinfo',$infohtml, CClientScript::POS_HEAD);
        }
        
        $this->subscribe('beforeSurveySettings');
        $this->subscribe('newSurveySettings');
        $this->subscribe('beforeSurveyPage');
    }
    
    
    public function beforeSurveyPage()
    {
        $event = $this->getEvent();
        $surveyId   = $event->get('surveyId');
        $header_on_off = intval($this->get('header_on_off', 'Survey', $surveyId));
        $footer_on_off = intval($this->get('footer_on_off', 'Survey', $surveyId));
        $header_high = intval($this->get('header_high', 'Survey', $surveyId));
        $footer_high = intval($this->get('footer_high', 'Survey', $surveyId));
        $header_image =$this->get('header_image', 'Survey', $surveyId);
        $header_color =$this->get('header_color', 'Survey', $surveyId);
        $footer_color =$this->get('footer_color', 'Survey', $surveyId);
       
        
        $request = $this->api->getRequest();

      if ($header_on_off == 1 or $footer_on_off == 1) {
                   Yii::app()->getClientScript()->registerScriptFile(Yii::app()->getConfig('publicurl')."plugins/HeaderAdd/js/headeradd.js");
                   $jscript = <<< EOM
<script>
	var header_on_off = '$header_on_off';
	var footer_on_off = '$footer_on_off';
	var header_high = '$header_high';
	var footer_high = '$footer_high';
	var header_image = '$header_image';
	var header_color = '$header_color';
	var footer_color = '$footer_color';
</script>
EOM;
print $jscript;


      }else{
      
      }
    }

    public function beforeSurveySettings()
    {
            $event = $this->getEvent();
            $event->set("surveysettings.{$this->id}", array(
                'name' => get_class($this),
                'settings' => array(
                	
                	'header_on_off' => array(
                        'type' => 'select',
                        'options'=>array(0=>'無効',
                            1=>'有効'),
                        'default'=>0,
                        'tab'=>'notification', // @todo: Setting no used yet
                        'category'=>'Token Login', // @todo: Setting no used yet
                        'label' => 'ヘッダー表示を有効（無効）にします。',
                        'current' => $this->get('header_on_off', 'Survey', $event->get('survey'))
                    ),
                    
                    'footer_on_off' => array(
                        'type' => 'select',
                        'options'=>array(0=>'無効',
                            1=>'有効'),
                        'default'=>0,
                        'tab'=>'notification', // @todo: Setting no used yet
                        'category'=>'Token Login', // @todo: Setting no used yet
                        'label' => 'フッター表示を有効（無効）にします。',
                        'current' => $this->get('footer_on_off', 'Survey', $event->get('survey'))
                    ),
                    
                	'header_high' => array(
            			'type' => 'string',
            			'label' => 'ヘッダーの高さをピクセル指定します。（数字で入力指定して下さい）',
            			'current' => $this->get('header_high', 'Survey', $event->get('survey'))
        			),
        			
        			'footer_high' => array(
            			'type' => 'string',
            			'label' => 'フッターの高さをピクセル指定します。（数字で入力指定して下さい）',
            			'current' => $this->get('footer_high', 'Survey', $event->get('survey'))
        			),
        			
        			'header_image' => array(
            			'type' => 'string',
            			'label' => 'ヘッダーに表示する画像のURLを指定します。',
            			'current' => $this->get('header_image', 'Survey', $event->get('survey'))
        			),
        			
        			'header_color' => array(
                        'type' => 'select',
                        'options'=>array('white'=>'ホワイト'
                        	,'gainsboro'=>'グレイ'
                        	,'black'=>'ブラック'
                        	),
                        'default'=>0,
                        'tab'=>'notification', // @todo: Setting no used yet
                        'category'=>'Token Login', // @todo: Setting no used yet
                        'label' => 'ヘッダーの色を指定します。',
                        'current' => $this->get('header_color', 'Survey', $event->get('survey'))
                    ),
                    'footer_color' => array(
                        'type' => 'select',
                        'options'=>array('white'=>'ホワイト'
                        	,'gainsboro'=>'グレイ'
                        	,'black'=>'ブラック'
                        	),
                        'default'=>0,
                        'tab'=>'notification', // @todo: Setting no used yet
                        'category'=>'Token Login', // @todo: Setting no used yet
                        'label' => 'フッターの色を指定します。',
                        'current' => $this->get('footer_color', 'Survey', $event->get('survey'))
                    ),

                )
            ));
    }
    public function newSurveySettings()
    {
            $event = $this->getEvent();
            foreach ($event->get('settings') as $name => $value)
            {
                $this->set($name, $value, 'Survey', $event->get('survey'));
            }
    }

}
